Subject: Re: [PATCH] rebase -i -p: doesn't pick certain merge commits that are children of "upstream"

From: Andrew Wong <[email-masked]>
Date: Sat, 18 Jun 2011 18:13:05 -0400

On 11-06-18 1:12 PM, Stephen Haberman wrote:
> ...I can think of cases where personally I'd want to only move
> around commits on the first-parent line, e.g. even in the case of
> "rebase-i-p A1", to have less noise (C1 and any others on its branch)
> in the todo, but at that point it sounds like I'm projecting behavior
> onto rebase-i-p that isn't actually there.
Yes, it would definitely be useful to be able to do that.  In fact, 
there's a somewhat relevant expect-failure-test t3404.18 that is testing 
for that.  Like you said, we need a way to express topology in the todo 
list, which I'm not sure what a good representation is.